Skip to navigation

RequestStatusWithDocumentFields

View as Markdown

RequestStatusWithDocumentFields

The RequestStatusWithDocumentFields call is similar to the RequestStatus and RequestStatusEx calls. It returns envelope status for the requested envelope along with all the envelope data, including the document custom DocumentFields.

Schema

NameSchema TypeDescription
EnvelopeIDDSXIdThe Envelope ID for the envelope being requested.

Sample Request XML

POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/AddMembersToAccount"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<RequestStatusWithDocumentFields xmlns="http://www.docusign.net/API/3.0">
<EnvelopeID>string</EnvelopeID>
</RequestStatusWithDocumentFields>
</soap:Body>
</soap:Envelope>

The response returns the requested Envelope information, including the document custom DocumentFields.